#
# Conditional build:
%if "%{pld_release}" == "ac"
%bcond_with		apidocs		# build and package API docs
%else
%bcond_without	apidocs		# do not build and package API docs
%endif

Summary:	Wrapper library for the Video Decode and Presentation API
Summary(pl.UTF-8):	Biblioteka pośrednia do API dekodowania i prezentacji video (Video Decode and Presentation API)
Name:		libvdpau
Version:	0.6
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://people.freedesktop.org/~aplattner/vdpau/%{name}-%{version}.tar.gz
# Source0-md5:	78a3a992b8187182463d3998e5d17916
URL:		http://freedesktop.org/wiki/Software/VDPAU
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel
%else
%{?with_apidocs:BuildRequires:	texlive-pdftex}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-dri2proto-devel >= 2.2
%endif
# libvdpau isn't arch-specific, but currently only nvidia driver is available
# (xorg-driver-video-nvidia.spec)
Conflicts:	xorg-driver-video-nvidia-libs < 1:190.42-2
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VDPAU is the Video Decode and Presentation API for UNIX. It provides
an interface to video decode acceleration and presentation hardware
present in modern GPUs.

%description -l pl.UTF-8
VDPAU to skrót od Video Decode and Presentation API for UNIX.
Biblioteka ta dostarcza interfejs do akceleracji dekodowania oraz
prezentacji video obecnej we współczesnych procesorach graficznych.

%package devel
Summary:	Header files for vdpau library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki vdpau
Group:		Development/Libraries
%if "%{pld_release}" == "ac"
Requires:	XFree86-devel
%else
Requires:	xorg-lib-libX11-devel
%endif
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for vdpau library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki vdpau.

%package static
Summary:	Static vdpau library
Summary(pl.UTF-8):	Statyczna biblioteka vdpau
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static vdpau library.

%description static -l pl.UTF-8
Statyczna biblioteka vdpau.

%package apidocs
Summary:	vdpau API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki vdpau
Group:		Documentation

%description apidocs
API and internal documentation for vdpau library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki vdpau.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%if "%{pld_release}" == "ac"
X11_CFLAGS=" " X11_LIBS="-L%{_prefix}/X11R6/%{_lib} -lX11" \
%endif
%configure \
	--enable-documentation%{!?with_apidocs:=no} \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/vdpau/libvdpau_trace.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/vdpau/libvdpau_trace.so

%if %{with apidocs}
mv $RPM_BUILD_ROOT%{_docdir}/{%{name}/html,%{name}-apidocs}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libvdpau.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvdpau.so.1
%dir %{_libdir}/vdpau
%attr(755,root,root) %{_libdir}/vdpau/libvdpau_trace.so.*.*.*
%attr(755,root,root) %{_libdir}/vdpau/libvdpau_trace.so.1
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vdpau_wrapper.cfg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvdpau.so
%{_libdir}/libvdpau.la
%{_includedir}/vdpau
%{_pkgconfigdir}/vdpau.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvdpau.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/%{name}-apidocs
%endif
%changelog
* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> fb9211d
- updated to 0.6

* Tue Sep 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 16d044a
- updated BR versions

* Tue Sep 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f5c46f
- up to 0.5 (implements many flash bugs workarounds)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b30bb04
- release: 2, STBR

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3a55c6e
- devel R: xorg-lib-libX11-devel

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 3ffb19b
- BR: xorg-lib-libXext-devel, xorg-proto-dri2proto-devel
- apidocs BR: texlive-latex

* Sun Jan 23 2011 Karol Krenski <charles@pld-linux.org> 5bcedab
- fixed %install (without apidocs bcond)

* Fri Oct 22 2010 arvenil <arvenil@pld-linux.org> 0068e9d
- for bcond with_apidocs force --enable-documentation
- BR: doxygen, graphviz (for bcond with_apidocs)

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> 89167a9
- Up to 0.4.1

* Thu Sep 23 2010 Elan Ruusamäe <glen@pld-linux.org> 7b1f8c6
- missing dir in apidocs

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 893f186
- release 2

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> abe7e57
- ac compat

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 6f32ad0
- apidocs bcond and subpackage

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7331429
- up to 0.4

* Mon Dec 07 2009 sparky <sparky@pld-linux.org> 5b2cd33
- don't mark libvdpau_trace.so.1 as %ghost, ldconfig does not check
  subdirectories so the link won't be created, but it is needed because
  this name is used in dlopen

* Mon Dec 07 2009 Karol Krenski <charles@pld-linux.org> 0c0558e
- updated to 0.3

* Sun Nov 15 2009 sparky <sparky@pld-linux.org> 30c321a
- versioned nvidia conflicts: 1:190.42-2 and above have libvdpau libraries removed

* Sun Nov 15 2009 w.kier <w.kier@pld-linux.org> 326ed7b
- adapterized

* Sun Nov 15 2009 w.kier <w.kier@pld-linux.org> 125005e
- Conflict for xorg-driver-video-nvidia-libs added

* Sat Oct 24 2009 Jakub Bogusz <qboosh@pld-linux.org> 3f0c26e
- moved libvdpau_trace plugin to base
- release 1

